## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseColumn

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
                                          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseColumnImpl
                                              org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseColumn

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASABaseColumn, SybaseAuthorizedObject, SQLObject, TypedElement, Column, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseColumn

extends SybaseASABaseColumnImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary
`static interface` `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseColumn()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumnConstraint()`
`java.sql.Connection` `getConnection()`
`SQLDataType` `getContainedType()` Returns the value of the 'Contained Type' containment reference.
`DataType` `getDataType()` Get the type for this TypedElement
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`ValueExpression` `getGenerateExpression()` Returns the value of the 'Generate Expression' containment reference.
`IdentitySpecifier` `getIdentitySpecifier()` Returns the value of the 'Identity Specifier' containment reference.
`org.eclipse.emf.common.util.EList` `getPrivileges()` Returns the value of the 'Privileges' reference list.
`UserDefinedType` `getReferencedType()` Returns the value of the 'Referenced Type' reference.
`TypeOfDefault` `getTypeOfDefault()`
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`boolean` `isUnique()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseColumnImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getGlobalIncrementPartitionSize, isIsComputedColumn, isLiteralDefault, setIsComputedColumn, setTypeOfDefault, setUnique, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
`basicSetGenerateExpression, basicSetIdentitySpecifier, basicSetTable, eBasicRemoveFromContainerFeature, getScopeCheck, getTable, isImplementationDependent, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Column
`getScopeCheck, getTable, isImplementationDependent, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogBaseColumn

    public SybaseASACatalogBaseColumn()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isUnique

    public boolean isUnique()

  Description copied from class: `SybaseASABaseColumnImpl`

  Specified by:
    `isUnique` in interface `SybaseASABaseColumn`
  Overrides:
    `isUnique` in class `SybaseASABaseColumnImpl`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `SybaseASABaseColumn.setUnique(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_Unique()`

### getContainedType

    public SQLDataType getContainedType()

  Description copied from interface: `TypedElement`
  Returns the value of the 'Contained Type' containment reference.

  If the meaning of the 'Contained Type' containment reference isn't clear, there really should be more of a description here...

  Specified by:
    `getContainedType` in interface `TypedElement`
  Overrides:
    `getContainedType` in class `org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl`
  Returns:
    the value of the 'Contained Type' containment reference.
  See Also:
    `TypedElement.setContainedType(SQLDataType)`, `SQLSchemaPackage.getTypedElement_ContainedType()`

### getReferencedType

    public UserDefinedType getReferencedType()

  Description copied from interface: `TypedElement`
  Returns the value of the 'Referenced Type' reference.

  If the meaning of the 'Referenced Type' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getReferencedType` in interface `TypedElement`
  Overrides:
    `getReferencedType` in class `org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl`
  Returns:
    the value of the 'Referenced Type' reference.
  See Also:
    `TypedElement.setReferencedType(UserDefinedType)`, `SQLSchemaPackage.getTypedElement_ReferencedType()`

### getDataType

    public DataType getDataType()

  Description copied from interface: `TypedElement`
  Get the type for this TypedElement

  Specified by:
    `getDataType` in interface `TypedElement`
  Overrides:
    `getDataType` in class `org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl`

### isNullable

    public boolean isNullable()

  Description copied from interface: `Column`
  Returns the value of the 'Nullable' attribute. The default value is `"True"`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isNullable` in interface `Column`
  Overrides:
    `isNullable` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`
  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `Column.setNullable(boolean)`, `SQLTablesPackage.getColumn_Nullable()`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### getGenerateExpression

    public ValueExpression getGenerateExpression()

  Description copied from interface: `Column`
  Returns the value of the 'Generate Expression' containment reference.

  If the meaning of the 'Generate Expression' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getGenerateExpression` in interface `Column`
  Overrides:
    `getGenerateExpression` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`
  Returns:
    the value of the 'Generate Expression' containment reference.
  See Also:
    `Column.setGenerateExpression(ValueExpression)`, `SQLTablesPackage.getColumn_GenerateExpression()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `Column`
  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDefaultValue` in interface `Column`
  Overrides:
    `getDefaultValue` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `Column.setDefaultValue(String)`, `SQLTablesPackage.getColumn_DefaultValue()`

### getTypeOfDefault

    public TypeOfDefault getTypeOfDefault()

  Description copied from class: `SybaseASABaseColumnImpl`

  Specified by:
    `getTypeOfDefault` in interface `SybaseASABaseColumn`
  Overrides:
    `getTypeOfDefault` in class `SybaseASABaseColumnImpl`
  Returns:
    the value of the 'Type Of Default' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseColumn.setTypeOfDefault(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_TypeOfDefault()`

### getIdentitySpecifier

    public IdentitySpecifier getIdentitySpecifier()

  Description copied from interface: `Column`
  Returns the value of the 'Identity Specifier' containment reference.

  If the meaning of the 'Identity Specifier' containment reference isn't clear, there really should be more of a description here...

  Specified by:
    `getIdentitySpecifier` in interface `Column`
  Overrides:
    `getIdentitySpecifier` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`
  Returns:
    the value of the 'Identity Specifier' containment reference.
  See Also:
    `Column.setIdentitySpecifier(IdentitySpecifier)`, `SQLTablesPackage.getColumn_IdentitySpecifier()`

### getColumnConstraint

    public org.eclipse.emf.common.util.EList getColumnConstraint()

  Description copied from class: `SybaseASABaseColumnImpl`

  Specified by:
    `getColumnConstraint` in interface `SybaseASABaseColumn`
  Overrides:
    `getColumnConstraint` in class `SybaseASABaseColumnImpl`
  Returns:
    the value of the 'Column Constraint' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_ColumnConstraint()`, `SybaseASABaseColumnCheckConstraint.getColumn()`

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Privileges' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Object`'.

  If the meaning of the 'Privileges' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Overrides:
    `getPrivileges` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`